Bug 105386 - CRASH - Libre Office Basic Macro Organizer when moving library module with mouse
Summary: CRASH - Libre Office Basic Macro Organizer when moving library module with mouse
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: x86-64 (AMD64) All
: high major
Assignee: Julien Nabet
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.1 target:5.2.6
Keywords: bibisectRequest, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2017-01-17 12:11 UTC by peter
Modified: 2017-02-15 16:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Apple backtrace (80.44 KB, text/plain)
2017-01-19 11:33 UTC, Alex Thurgood
Details
backtrace from lldb debugging session (68.26 KB, text/plain)
2017-01-19 11:46 UTC, Alex Thurgood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description peter 2017-01-17 12:11:57 UTC
I try to move a module from one library to another. I grab the module with mouse pointer. In the moment I start to move the module, LibreOffice crashes (Due to an unexpected error....)

It is so bad, that after the crash the MacOS Dock is not working any more. I have to kill the Dock process to get it working again.

Problem on two different machines (IMac Late 2011, MacBook Pro 2013)

Problem happens with completely empty document. Regardless if Calc or Writer

MacOS 10.12.2
Java 1.8.0_112
Comment 1 Alex Thurgood 2017-01-19 07:37:49 UTC
Peter : please provide a more detailed explanation with reproducible behaviour. 

Which module are you dragging from which library to where ?

Is this your own macro or are you seeing the problem with macros (LO system macros) already provided ?
Comment 2 Alex Thurgood 2017-01-19 07:43:11 UTC
Please also provide step by step instructions on how to reproduce this behaviour.
I have tried opening the Macro manager and can't seem to drag any macro, let alone a module, from one library to another under MyMacros.

Version: 5.4.0.0.alpha0+
Build ID: f42a049f1235cc3fab3e441fc977c553e3e10e31
CPU Threads: 2; OS Version: Mac OS X 10.12.2; UI Render: default; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group
Comment 3 peter 2017-01-19 07:51:43 UTC
Create new empty Calc document

Go To Tools->Macros->Organize Macros->LibreOffice Basic

Click on "Organizer"

With "New" create new module "Module1" in current spreadsheet (Writer the same)

Module stays empty.

Grab the new "Module1" and start (!!!) to move it: Crash

Same with Writer, same with existing documents with real basic code. Same with organizing dialogs
Comment 4 peter 2017-01-19 08:45:32 UTC
I follow procedures to move modules as described here

https://help.libreoffice.org/Basic/Organizing_Libraries_and_Modules

Last paragraph "Moving and Copying..."
Comment 5 Alex Thurgood 2017-01-19 11:25:50 UTC
Confirming crash on 

Version: 5.2.3.3
Build ID: d54a8868f08a7b39642414cf2c8ef2f228f780cf
Threads CPU : 2; Version de l'OS :Mac OS X 10.12.2; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group

However, I don't get a Dock freeze, in fact LO recovers gracefully on my Mac-mini (mid-2010) and even recovers the Calc document.
Comment 6 Alex Thurgood 2017-01-19 11:33:24 UTC
Created attachment 130553 [details]
Apple backtrace
Comment 7 Alex Thurgood 2017-01-19 11:37:59 UTC
Also crashes in my master 5400 alpha build
Comment 8 Alex Thurgood 2017-01-19 11:46:26 UTC
Created attachment 130554 [details]
backtrace from lldb debugging session
Comment 9 Alex Thurgood 2017-01-19 11:58:10 UTC
No crash in 

Version: 4.4.5.2
Build ID: a22f674fd25a3b6f45bdebf25400ed2adff0ff99
Locale: fr_FR.UTF-8
Comment 10 Alex Thurgood 2017-01-19 11:58:30 UTC
Crash reproduced in LO5156
Comment 11 Alex Thurgood 2017-01-19 12:03:23 UTC
Crash also reproduced in 

Version: 5.0.3.2
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale : fr-FR (fr_FR.UTF-8)
Comment 12 Alex Thurgood 2017-01-19 12:06:17 UTC
Reproduced in 5002
Comment 13 Alex Thurgood 2017-01-19 12:11:29 UTC
Bibisect range between

LO4472 and LO5002
Comment 14 Julien Nabet 2017-02-14 20:01:20 UTC
On pc Debian x86-64 with master sources updated 2 days ago, I could reproduce this.
I could just reproduce this with kde4 and gen rendering not with gtk or gtk3.
Comment 15 Commit Notification 2017-02-15 06:07:34 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=18be4782ad4a98041d9680f8d76a213b8fd49362

tdf#105386: crash with macro organizer

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2017-02-15 09:53:57 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=effeccd268305a2d3537cc89e4e35f682505afcb&h=libreoffice-5-3

tdf#105386: crash with macro organizer

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Julien Nabet 2017-02-15 10:09:05 UTC
For 5.2 branch, commit is on gerrit review here:
https://gerrit.libreoffice.org/#/c/34292/

Let's put this one to fixed.
If you still reproduce the problem with a build which includes the patch, don't hesitate to reopen this tracker.
Comment 18 Commit Notification 2017-02-15 16:53:10 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=31d786ecd6a4e5d56ac96b33085b3ba7dcf42439&h=libreoffice-5-2

tdf#105386: crash with macro organizer

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.